#!/bin/bash
 
# oracle: Start/Stop Oracle Database > 10
#
# chkconfig: 345 90 10
# description: Oracle Database start/stop script
#
# processname: oracle
# NE PAS OUBLIER Y => /etc/oratab
 
. /etc/rc.d/init.d/functions
 
LOCKFILE=/var/lock/subsys/oracle
VERSION=12.1.0
ORACLE_HOME=/ado/oracle/app/product/${VERSION}/dbhome_1
ORACLE_USER=oracle
 
case "$1" in
'start')
   if [ -f $LOCKFILE ]; then
      echo $0 already running.
      exit 1
   fi
   echo -n $"Starting Oracle Database:"
   #su - $ORACLE_USER -c "$ORACLE_HOME/bin/lsnrctl start"
   su - $ORACLE_USER -c "$ORACLE_HOME/bin/dbstart $ORACLE_HOME"
   ## Beurk
   #su - $ORACLE_USER -c "$ORACLE_HOME/bin/emctl start dbconsole"
   touch $LOCKFILE
   ;;
'stop')
   if [ ! -f $LOCKFILE ]; then
      echo $0 already stopping.
      exit 1
   fi
   echo -n $"Stopping Oracle Database:"
   #su - $ORACLE_USER -c "$ORACLE_HOME/bin/lsnrctl stop"
   su - $ORACLE_USER -c "$ORACLE_HOME/bin/dbshut $ORACLE_HOME"
   ## Re beurk
   #su - $ORACLE_USER -c "$ORACLE_HOME/bin/emctl stop dbconsole"
   rm -f $LOCKFILE
   ;;
'restart')
   $0 stop
   $0 start
   ;;
'status')
   if [ -f $LOCKFILE ]; then
      echo $0 started.
      else
      echo $0 stopped.
   fi
   ;;
*)
   echo "Usage: $0 [start|stop|status]"
   exit 1
esac
 
exit 0
