#!/bin/sh
#
# chkconfig: - 99 35
# description: Starts and stops the X3/HR SOLUTION \
#	       Sage X3 Service or Sage X3 People
#
# pidfile:
# config:


# Source function library.
if [ -f /etc/init.d/functions ] ; then
  . /etc/init.d/functions
elif [ -f /etc/rc.d/init.d/functions ] ; then
  . /etc/rc.d/init.d/functions
else
  exit 1
fi

# Avoid using root's TMPDIR
unset TMPDIR

# Source networking configuration.
. /etc/sysconfig/network

# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 1

RETVAL=0

## Modif des variables
BIN_DIR=/ado/scripts
SOLUTION=HRV7P
TYPE=hr
###

start() {
        KIND="$SOLUTION"
	echo -n $"Starting $KIND services: "
	## Ici les autres scripts
	$BIN_DIR/x3-ADXADMIN-adxd start
	$BIN_DIR/${TYPE}-${SOLUTION}-adxd start
	$BIN_DIR/${TYPE}-${SOLUTION}-batchsrv start
	return 0
}	

stop() {
        KIND="${SOLUTION}"
	echo -n $"Shutting down $KIND services: "
	## Ici les autres scripts
	$BIN_DIR/${TYPE}-${SOLUTION}-batchsrv stop
	$BIN_DIR/${TYPE}-${SOLUTION}-clients stop
	$BIN_DIR/${TYPE}-${SOLUTION}-adxd stop
	$BIN_DIR/x3-ADXADMIN-adxd stop
	RETVAL=$?
	echo
	return 0
}	

restart() {
	stop
	start
}	

# Check that we are root ... so non-root users stop here
[  `id -u` -eq  "0" ] ||  exit 4



case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 2
esac

exit $?
